Package org.kapott.hbci.tools

## Class ObjectFactory

- java.lang.Object
- - org.kapott.hbci.tools.ObjectFactory

Direct Known Subclasses:
  `CryptFactory`, `DEFactory`, `DEGFactory`, `MSGFactory`, `MultipleDEGsFactory`, `MultipleDEsFactory`, `MultipleSEGsFactory`, `MultipleSFsFactory`, `SEGFactory`, `SFFactory`, `SigFactory`

    public class ObjectFactory
    extends java.lang.Object

### Field Summary

Fields
`protected int` `currentPoolSize`
`protected java.util.Collection<java.lang.Object>` `freeObjects`
`protected java.util.Collection<java.lang.Object>` `usedObjects`

### Constructor Summary

Constructors
`ObjectFactory()`
`ObjectFactory​(int maxPoolSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToFreePool​(java.lang.Object o)`
`void` `addToUsedPool​(java.lang.Object o)`
`java.lang.Object` `getFreeObject()`
`java.util.Collection<java.lang.Object>` `getFreeObjects()`
`java.util.Collection<java.lang.Object>` `getUsedObjects()`
`java.lang.String` `toString()`
`void` `unuseObject​(java.lang.Object o)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### freeObjects

    protected final java.util.Collection<java.lang.Object> freeObjects

#### usedObjects

    protected final java.util.Collection<java.lang.Object> usedObjects

#### currentPoolSize

    protected int currentPoolSize

### Constructor Detail

#### ObjectFactory

    public ObjectFactory()

#### ObjectFactory

    public ObjectFactory​(int maxPoolSize)

### Method Detail

#### getFreeObject

    public java.lang.Object getFreeObject()

#### addToUsedPool

    public void addToUsedPool​(java.lang.Object o)

#### addToFreePool

    public void addToFreePool​(java.lang.Object o)

#### unuseObject

    public void unuseObject​(java.lang.Object o)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getUsedObjects

    public java.util.Collection<java.lang.Object> getUsedObjects()

#### getFreeObjects

    public java.util.Collection<java.lang.Object> getFreeObjects()